Get snippet for endpoint

Beta
Get snippet by endpoint method and path

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
endpointobjectRequired
orgIdstringOptional
If the same API is defined across multiple organization, you must specify an organization ID.
apiIdstringOptional
If you have more than one API, you must specify its ID.
sdkslist of objectsOptional
The SDKs for which to load snippets. If unspecified, snippets for the latest published SDKs will be returned.
exampleIdentifierstringOptional
The identifier of the example to fetch the snippet for, this is ignored if a payload is passed in.
payloadobjectOptional
The JSON payload to be used as the input for the code snippet. This should just be thought of as the request body you'd be sending to the endpoint as a cURL. If not specified then the default payload will be used.

Response

This endpoint returns a list of objects.
typescriptobject
OR
pythonobject
OR
javaobject
OR
goobject
OR
rubyobject

Errors

400
API ID Required Error
400
Org ID Required Error
401
Unauthorized Error
403
User Not IN Org Error
404
Endpoint Not Found
404
Org ID Not Found
404
Org ID and API ID Not Found
404
Sdknot Found
503
Unavailable Error